Subject: Re: [PATCH net v2] net: renesas: rswitch: Fix timestamp feature after all descriptors are used

From: Simon Horman <[email-masked]>
Date: Wed, 7 Jun 2023 17:25:41 +0200

On Wed, Jun 07, 2023 at 04:01:41PM +0900, Yoshihiro Shimoda wrote:
> The timestamp descriptors were intended to act cyclically. Descriptors
> from index 0 through gq->ring_size - 1 contain actual information, and
> the last index (gq->ring_size) should have LINKFIX to indicate
> the first index 0 descriptor. However, thie LINKFIX value is missing,

Hi Shimoda-san,

a very minor nit, in case you end up posting a v3 for some other reason:

	thie -> the

> causing the timestamp feature to stop after all descriptors are used.
> To resolve this issue, set the LINKFIX to the timestamp descritors.
> 
> Reported-by: Phong Hoang <[email-masked]>
> Fixes: 33f5d733b589 ("net: renesas: rswitch: Improve TX timestamp accuracy")

...